package com.ynfy.buss.exam.questionanswer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.questionanswer.entity.QuestionAnswer;

import java.util.List;

/**
 * @Description: question_answer
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
public interface IQuestionAnswerService extends IService<QuestionAnswer> {

    /**
     * 保存试题选项
     *
     * @param questionId
     * @param list
     */
    void saveAll(String questionId, Integer questionType, List<QuestionAnswer> list);

    /**
     * 查询试题选项
     *
     * @param questionId
     */
    List<QuestionAnswer> listAnswerByQuestionId(String questionId);


    /**
     * 删除
     *
     * @param questionId
     */
    void remove(String questionId);

    void removeByQuestionIds(String[] questionIds);

    /**
     * 查询试题集合答案
     *
     * @param questionIds
     */
    List<QuestionAnswer> listAnswerByQuestionIds(List<String> questionIds);

}
